# CesiumInspector

#### new Cesium.CesiumInspector(container, scene)
Widgets/CesiumInspector/CesiumInspector.js 20

Inspector widget to aid in debugging

Name | Type | Description
--- | --- | ---
`container` | Element | String | The DOM element or ID that will contain the widget.
`scene` | Scene | The Scene instance to use.

##### Demo:

- Cesium Sandcastle Cesium Inspector Demo

### Members

#### container : Element
Widgets/CesiumInspector/CesiumInspector.js 232

Gets the parent container.

#### viewModel : CesiumInspectorViewModel
Widgets/CesiumInspector/CesiumInspector.js 244

Gets the view model.

### Methods

#### destroy()
Widgets/CesiumInspector/CesiumInspector.js 262

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/CesiumInspector/CesiumInspector.js 254

##### Returns:

true if the object has been destroyed, false otherwise.